package com.zehong.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 隐患台账对象 t_staning_book
 * 
 * @author zehong
 * @date 2022-07-11
 */
public class TStaningBook extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long bookId;

    /** 隐患名称 */
    @Excel(name = "隐患名称")
    private String troubleName;

    /** 隐患类型 */
    @Excel(name = "隐患类型")
    private Integer troubleType;

    /** 隐患等级 */
    @Excel(name = "隐患等级")
    private Integer troubleLevel;

    /** 隐患描述 */
    @Excel(name = "隐患描述")
    private String measures;

    /** 完成用时 */
    @Excel(name = "完成用时")
    private Long finishDay;

    /** 复查结果 */
    @Excel(name = "复查结果")
    private String inspectResult;

    /** 责任人 */
    @Excel(name = "责任人")
    private Long personLiable;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    private String deptName;

    /** 任务id */
    @Excel(name = "任务id")
    private Long workId;

    /** 删除 0否 1是 */
    @Excel(name = "删除 0否 1是")
    private Integer isDel;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setBookId(Long bookId)
    {
        this.bookId = bookId;
    }

    public Long getBookId() 
    {
        return bookId;
    }
    public void setTroubleName(String troubleName) 
    {
        this.troubleName = troubleName;
    }

    public String getTroubleName() 
    {
        return troubleName;
    }
    public void setTroubleType(Integer troubleType) 
    {
        this.troubleType = troubleType;
    }

    public Integer getTroubleType() 
    {
        return troubleType;
    }
    public void setTroubleLevel(Integer troubleLevel) 
    {
        this.troubleLevel = troubleLevel;
    }

    public Integer getTroubleLevel() 
    {
        return troubleLevel;
    }
    public void setMeasures(String measures) 
    {
        this.measures = measures;
    }

    public String getMeasures() 
    {
        return measures;
    }
    public void setFinishDay(Long finishDay) 
    {
        this.finishDay = finishDay;
    }

    public Long getFinishDay() 
    {
        return finishDay;
    }
    public void setInspectResult(String inspectResult) 
    {
        this.inspectResult = inspectResult;
    }

    public String getInspectResult() 
    {
        return inspectResult;
    }
    public void setPersonLiable(Long personLiable) 
    {
        this.personLiable = personLiable;
    }

    public Long getPersonLiable() 
    {
        return personLiable;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setWorkId(Long workId) 
    {
        this.workId = workId;
    }

    public Long getWorkId() 
    {
        return workId;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("bookId", getBookId())
            .append("troubleName", getTroubleName())
            .append("troubleType", getTroubleType())
            .append("troubleLevel", getTroubleLevel())
            .append("measures", getMeasures())
            .append("finishDay", getFinishDay())
            .append("inspectResult", getInspectResult())
            .append("personLiable", getPersonLiable())
            .append("deptId", getDeptId())
            .append("workId", getWorkId())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("isDel", getIsDel())
            .toString();
    }
}
